#!/bin/sh
D=/home/testing/Phase1/Tests
CMD=$1

# placement only tests

echo; echo ========== Condition: Too many blocks in .p
$CMD $D/s27.net $D/exact.arch $D/s27-extrablocks.p 
echo; echo ========== Condition: Incorrect IOB sub-block number
$CMD $D/s27.net $D/exact.arch $D/s27-iobsub.p
echo; echo ========== Condition: Logic block on pad location
$CMD $D/s27.net $D/exact.arch $D/s27-lbonpad.p
echo; echo ========== Condition: Not all blocks placed
$CMD $D/s27.net $D/exact.arch $D/s27-notallplaced.p
echo; echo ========== Condition: Pad on logic block location
$CMD $D/s27.net $D/exact.arch $D/s27-padonlb.p
echo; echo ========== Condition: No errors
$CMD $D/s27.net $D/exact.arch $D/s27.p

# placement and routing tests

echo; echo ========== Condition: Fanout branch not within original net.
$CMD $D/s27.net $D/exact.arch $D/s27.p $D/s27-fanoutwrong.r
echo; echo ========== Condition: Single sink not connected to net
$CMD $D/s27.net $D/exact.arch $D/s27.p $D/s27-missingsink.r
echo; echo ========== Condition: Extraneous sink connected to net
$CMD $D/s27.net $D/exact.arch $D/s27.p $D/s27-moresinks.r
echo; echo ========== Condition: Multiple sources on net
$CMD $D/s27.net $D/exact.arch $D/s27.p $D/s27-multisource.r
echo; echo ========== Condition: Break between two net segments
$CMD $D/s27.net $D/exact.arch $D/s27.p $D/s27-netgapnet.r
echo; echo ========== Condition: Break between net segment and pin
$CMD $D/s27.net $D/exact.arch $D/s27.p $D/s27-netgappin.r
echo; echo ========== Condition: No IPIN preceding SINK
$CMD $D/s27.net $D/exact.arch $D/s27.p $D/s27-noipin.r
echo; echo ========== Condition: No OPIN following source
$CMD $D/s27.net $D/exact.arch $D/s27.p $D/s27-noopin.r
echo; echo ========== Condition: Net has no sinks
$CMD $D/s27.net $D/exact.arch $D/s27.p $D/s27-nosink.r
echo; echo ========== Condition: Net has no source
$CMD $D/s27.net $D/exact.arch $D/s27.p $D/s27-nosource.r
echo; echo ========== Condition: Break between pin and net segment
$CMD $D/s27.net $D/exact.arch $D/s27.p $D/s27-pingapnet.r
echo; echo ========== Condition: Multiple uses of same segment for different nets
$CMD $D/s27.net $D/exact.arch $D/s27.p $D/s27-reusedseg.r
echo; echo ========== Condition: Pin 4 used as input pin
$CMD $D/s27.net $D/exact.arch $D/s27.p $D/s27-sinkissource.r
echo; echo ========== Condition: Fanout connects to wrong track
$CMD $D/s27.net $D/exact.arch $D/s27.p $D/s27-switchfanout.r
echo; echo ========== Condition: Non-existing track number
$CMD $D/s27.net $D/exact.arch $D/s27.p $D/s27-nosuchtrack.r
echo; echo ========== Condition: Jumping tracks between segments
$CMD $D/s27.net $D/exact.arch $D/s27.p $D/s27-switchtracks.r
echo; echo ========== Condition: Locations outside of array.
$CMD $D/s27.net $D/exact.arch $D/s27.p $D/s27-wrongcoords.r
echo; echo ========== Condition: Connecting segment to pin in different channel
$CMD $D/s27.net $D/exact.arch $D/s27.p $D/s27-wrongpins.r
echo; echo ========== Condition: No errors
$CMD $D/s27.net $D/exact.arch $D/s27.p $D/s27.r

# geometry limit tests

echo; echo ========== Condition: Array size too small
$CMD $D/s27.net $D/toosmall.arch $D/s27.p $D/s27.r
echo; echo ========== Condition: Array size too large
$CMD $D/s27.net $D/toolarge.arch $D/s27.p $D/s27.r
